Bug 42516 - OpenOffice.org generate wrong WM_LOCALE_NAME under any locale, but C
Summary: OpenOffice.org generate wrong WM_LOCALE_NAME under any locale, but C
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-openoffice (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-09-07 22:00 UTC by Zahemszky@, Gábor
Modified: 2004-02-06 05:42 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Zahemszky@, Gábor 2002-09-07 22:00:14 UTC
	If OOo is running with a LANG setting to anything correct but C
	(eg: POSIX (!) , hu_HU.ISO8859-2 , en_US.ISO8859-1 ),
	the WM_LOCALE_NAME property is set to a wrong name.
	LANG=C			=> WM_LOCALE_NAME(STRING) = "C"
	LANG=POSIX		=> WM_LOCALE_NAME(STRING) = "PO.SIX"
	LANG=hu_HU.ISO8859-2	=> WM_LOCALE_NAME(STRING) = "hu_HU..ISO8859-2"
	LANG=en_US.ISO8859-2	=> WM_LOCALE_NAME(STRING) = "en_US..ISO8859-2"

How-To-Repeat: 	LANG=POSIX openoffice &
	xprop | fgrep WM_LOCALE_NAME
Comment 1 Ying-Chieh Liao freebsd_committer 2002-09-16 12:32:33 UTC
Responsible Changed
From-To: freebsd-ports->openoffice

over to maintainer
Comment 2 Zahemszky@, Gábor 2003-08-22 23:28:50 UTC
Hi!

This pr has to be closed, as this bug is corrected.  (In openoffice-1.0.3_2,
under 4-STABLE, this bug cannot found.)

Zahy < Gabor at Zahemszky dot HU >

-- 
#!/bin/ksh
Z='21N16I25C25E30, 40M30E33E25T15U!' ;IFS=' ABCDEFGHIJKLMNOPQRSTUVWXYZ ';set $Z ;for i { [[ $i = ? ]]&&print $i&&break;[[ $i = ??? ]]&&j=$i&&i=${i%?};typeset -i40 i=8#$i;print -n ${i#???};[[ "$j" = ??? ]]&&print -n "${j#??} "&&j=;typeset +i i;};IFS=' 0123456789 ';set $Z;for i { [[ $i = , ]]&&i=2;[[ $i = ?? ]]||typeset -l i;j="$j $i";typeset +l i;};print "$j"
Comment 3 Mark Linimon freebsd_committer freebsd_triage 2004-02-06 05:42:11 UTC
State Changed
From-To: open->closed

Closed at submitter's request.